Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## millgamej2se11
Class EventHandler

    java.lang.Object
      millgamej2se11.EventHandler

All Implemented Interfaces:
  java.awt.event.KeyListener, java.util.EventListener

    public class EventHandler

extends java.lang.Object
implements java.awt.event.KeyListener

A játék menetét vezérlő osztály.

Field Summary
`private boolean` | `isOver` A játék végét jelző flag.
`private int` | `markers` Az elhelyezendő bábuk száma.
`private Player` | `nextPlayer` A lépni következő játékos.
`private Player` | `opponent` Az ellenfél játékos.
`private Player` | `player1` Az első játékos.
`private Player` | `player2` Az második játékos.
`private int` | `playersNumber` A játékosok száma
`private MillTable` | `table` A malom tábla.
`private Viewer` | `viewer` A játék grafikus megjelenítője.

Constructor Summary
`EventHandler()` Egy Eseménykezelő példányt létrehozó konstruktor.

Method Summary
`private void` | `changePlayer()` A következő és ellenfél játékos felcserélése.
`private void` | `drag(Player player)` A játékos bábujának felvétele az aktuális pontról.
`private void` | `drop(Player player)` A játékos bábujának letlétele az aktuális pontra.
`void` | `keyPressed(java.awt.event.KeyEvent e)` Végrehajtja a megadott eseménynek megfelelő tevékenységet.
`void` | `keyReleased(java.awt.event.KeyEvent e)` NEM IMPLEMENTÁLT
`void` | `keyTyped(java.awt.event.KeyEvent e)` NEM IMPLEMENTÁLT
`private void` | `move(int direction)` A táblán a megadott irányba lép.
`private void` | `place(Player player)` A játékos egy bábujának elhelyezése az aktuális pontra.
`private void` | `placeOf(Player player)` A megadott játékos tevékenységeit kezelő metódus az elhelyezési fázisban.
`private void` | `play()` A játék fázisait kezelő metódus
`private void` | `remove(Player opponent)` Az ellenfél játékos bábujának eltávolítása az aktuális pontról.
`private void` | `startGame()` A játékot elindító metódus.
`private void` | `turnOf(Player player)` A megadott játékos tevékenységeit kezelő metódus az mozgatási fázisban.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### player1

    private Player player1

  Az első játékos.

### player2

    private Player player2

  Az második játékos.

### nextPlayer

    private Player nextPlayer

  A lépni következő játékos.

### opponent

    private Player opponent

  Az ellenfél játékos.

### table

    private MillTable table

  A malom tábla.

### viewer

    private Viewer viewer

  A játék grafikus megjelenítője.

### markers

    private int markers

  Az elhelyezendő bábuk száma.

### isOver

    private boolean isOver

  A játék végét jelző flag.

### playersNumber

    private int playersNumber

  A játékosok száma

Constructor Detail

### EventHandler

    public EventHandler()

  Egy Eseménykezelő példányt létrehozó konstruktor.

Method Detail

### startGame

    private void startGame()

  A játékot elindító metódus.

### play

    private void play()

  A játék fázisait kezelő metódus

### placeOf

    private void placeOf(Player player)

  A megadott játékos tevékenységeit kezelő metódus az elhelyezési fázisban.

  Parameters:
    `player` - A következő játékos

### turnOf

    private void turnOf(Player player)

  A megadott játékos tevékenységeit kezelő metódus az mozgatási fázisban.

  Parameters:
    `player` - A következő játékos

### move

    private void move(int direction)

  A táblán a megadott irányba lép.

  Parameters:
    `direction` - A mozgás iránya.

### place

    private void place(Player player)

  A játékos egy bábujának elhelyezése az aktuális pontra.

  Parameters:
    `player` - A következő játékos.

### drag

    private void drag(Player player)

  A játékos bábujának felvétele az aktuális pontról.

  Parameters:
    `player` - A következő játékos.

### drop

    private void drop(Player player)

  A játékos bábujának letlétele az aktuális pontra.

  Parameters:
    `player` - A következő játékos.

### remove

    private void remove(Player opponent)

  Az ellenfél játékos bábujának eltávolítása az aktuális pontról.

  Parameters:
    `opponent` - A következő játékos.

### keyTyped

    public void keyTyped(java.awt.event.KeyEvent e)

  NEM IMPLEMENTÁLT

  Specified by:
    `keyTyped` in interface `java.awt.event.KeyListener`
  Parameters:
    `e` -

### keyPressed

    public void keyPressed(java.awt.event.KeyEvent e)

  Végrehajtja a megadott eseménynek megfelelő tevékenységet.

  Specified by:
    `keyPressed` in interface `java.awt.event.KeyListener`
  Parameters:
    `e` - Az esemény

### keyReleased

    public void keyReleased(java.awt.event.KeyEvent e)

  NEM IMPLEMENTÁLT

  Specified by:
    `keyReleased` in interface `java.awt.event.KeyListener`
  Parameters:
    `e` -

### changePlayer

    private void changePlayer()

  A következő és ellenfél játékos felcserélése.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD